#
# Conditional build:
%bcond_without	glade	# Glade catalog
%bcond_without	vala	# do not build Vala API
#
Summary:	Library to access weather information from online services for numerous locations
Summary(pl.UTF-8):	Biblioteka dostępu do informacji pogodowych z serwisów internetowych dla różnych miejsc
Name:		libgweather
Version:	3.18.1
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgweather/3.18/%{name}-%{version}.tar.xz
# Source0-md5:	0a4bd5421c9cd2d845d0a91c8caa6117
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	geocode-glib-devel
BuildRequires:	gettext-tools >= 0.18
%{?with_glade:BuildRequires:	glade-devel >= 2.0}
BuildRequires:	glib2-devel >= 1:2.35.1
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.14.0
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	intltool >= 0.50.0
BuildRequires:	libsoup-devel >= 2.34.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.18.0}
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	glib2 >= 1:2.35.1
Requires:	glib2 >= 1:2.35.1
Requires:	gtk+3 >= 3.14.0
Requires:	libsoup >= 2.34.0
Requires:	libxml2 >= 1:2.6.30
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgweather is a library to access weather information from online
services for numerous locations.

%description -l pl.UTF-8
libgweather to biblioteka pozwalająca na dostęp do informacji
pogodowych z serwisów internetowych dla różnych miejsc.

%package devel
Summary:	Header files for libgweather
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgweather
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+3-devel >= 3.14.0
Requires:	libsoup-devel >= 2.34.0
Requires:	libxml2-devel >= 1:2.6.30
Obsoletes:	gnome-applets-devel <= 2.21.4

%description devel
Header files for libgweather.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgweather.

%package static
Summary:	Static libgweather library
Summary(pl.UTF-8):	Statyczna biblioteka libgweather
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgweather library.

%description static -l pl.UTF-8
Statyczna biblioteka libgweather.

%package apidocs
Summary:	libgweather API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgweather
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgweather API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgweather.

%package glade
Summary:	libgweather catalog file for Glade
Summary(pl.UTF-8):	Plik katalogu libgweather dla Glade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	glade >= 2.0

%description glade
libgweather catalog file for Glade.

%description glade -l pl.UTF-8
Plik katalogu libgweather dla Glade.

%package -n vala-libgweather
Summary:	libgweather API for Vala language
Summary(pl.UTF-8):	API biblioteki libgweather dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.18.0

%description -n vala-libgweather
libgweather API for Vala language.

%description -n vala-libgweather -l pl.UTF-8
API biblioteki libgweather dla języka Vala.

%prep
%setup -q

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_glade:--disable-glade-catalog} \
	--enable-gtk-doc \
	--disable-silent-rules \
	--enable-static \
	%{__enable_disable vala} \
	--with-html-dir=%{_gtkdocdir} \
	--with-zoneinfo-dir=%{_datadir}/zoneinfo

%{__make} -j1 -C data
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/es_ES
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang libgweather-3.0 --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas

%postun
/sbin/ldconfig
%glib_compile_schemas

%files -f libgweather-3.0.lang
%defattr(644,root,root,755)
%doc AUTHORS HACKING NEWS README
%attr(755,root,root) %{_libdir}/libgweather-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgweather-3.so.6
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.gschema.xml
%dir %{_datadir}/libgweather
%{_datadir}/libgweather/Locations.xml
%{_datadir}/libgweather/locations.dtd
%{_libdir}/girepository-1.0/GWeather-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgweather-3.so
%{_includedir}/libgweather-3.0
%{_pkgconfigdir}/gweather-3.0.pc
%{_datadir}/gir-1.0/GWeather-3.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgweather-3.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgweather-3.0

%if %{with glade}
%files glade
%defattr(644,root,root,755)
%{_datadir}/glade/catalogs/libgweather.xml
%endif

%if %{with vala}
%files -n vala-libgweather
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gweather-3.0.vapi
%endif
%changelog
* Mon Oct 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgweather.git;a=log;h=master

* Mon Oct 12 2015 Marcin Banasiak <marcin.banasiak@gmail.com> c44e6b6
- Update to 3.18.1

* Sun Oct 04 2015 Jakub Bogusz <qboosh@pld-linux.org> c09eeea
- BR: macros for glib_compile_schemas, R: ldconfig

* Wed Sep 23 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 04a09e5
- Update to 3.18.0

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 9a0fd73
- updated to 3.16.1

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> f56c334
- updated to 3.16.0

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> d844e78
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 24 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 71d5642
- Update to 3.14.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c934ecf
- updated gettext BR

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> bc0ad4a
- added glade bcond

* Sun Dec 21 2014 Marcin Banasiak <marcin.banasiak@gmail.com> a3e1184
- Update to 3.14.2

* Sat Oct 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ad8536
- updated to 3.14.1

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 3b3e465
- Update to 3.14.0

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> abad36b
- Update to 3.12.2

* Tue Apr 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> ff5dcf3
- Update to 3.12.1

* Fri Mar 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 95d9d06
- updated to 3.12.0

* Mon Feb 03 2014 Łukasz Kieś <kiesiu@pld-linux.org> 977b4ca
- updated to 3.10.2
- adapterized

* Thu Oct 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 3ecb5eb
- updated to 3.10.1

* Fri Sep 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 02c189b
- versioned install time dependencies

* Fri Sep 27 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 280043a
- Update to 3.10.0 (note: new soname)

* Wed May 15 2013 Jakub Bogusz <qboosh@pld-linux.org> f9217aa
- updated to 3.8.2

